<?php
/*
Officity - Web application platform - Version 6.0 - 2011-07-05

François Dispaux, Boris Verdeyen, Thomas Hermant,
Jérémie Roy, Grégory Meurice, Abdelila Harbi, 
Marc Mignonsin, Jonathan Sanchez, Julien Gonzalez, Pierre Fouchez

Sushee and Officity is © Copyright 2011 Nectil SA.

`/sushee-source/sushee/private/media_preprocessing.php` is part of Officity.

Sushee is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Officity and Sushee are distributed in the hope that they will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Sushee. If not, see <http://www.gnu.org/licenses/>.
*/

if ( $requestName=="UPDATE" || $requestName=="CREATE"){
	// we transform the textual mediatype in a mediatypeID
	if (isset($values["MediaTypeID"])){
		$mediatypeID=$values["MediaTypeID"];
		$sql = "SELECT * FROM mediatypes WHERE ID=\"".$mediatypeID."\";";
		$row = $db_conn->GetRow($sql);
		if ($row){
			// if there is a correspondence
			$values["MediaType"]=$row["MediaKind"];
		}
	}else if (isset($values["MediaType"])){
		$sql = "SELECT * FROM mediatypes WHERE  MediaKind=\"".$values["MediaType"]."\";";
		$row = $db_conn->GetRow($sql);
		if ($row)
			$values["MediaTypeID"]=$row["ID"];
	}
}
return TRUE;
?>
